use dagger_rust::{build::RustVersion, test::RustTest};

#[tokio::main]
pub async fn main() -> eyre::Result<()> {
    let client = dagger_sdk::connect().await?;
    RustTest::new(client.clone())
        .test(
            Some("testdata"),
            RustVersion::Nightly,
            &["crates/*"],
            &["openssl"],
        )
        .await?;

    Ok(())
}
